org.apache.lucene.util.packed

## Class PackedLongValues.Iterator

- java.lang.Object
- - org.apache.lucene.util.packed.PackedLongValues.Iterator

- Enclosing class:
    PackedLongValues

      public final class PackedLongValues.Iterator
      extends Object

  An iterator over long values.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()` Whether or not there are remaining values.
    `long` | `next()` Return the next long in the buffer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### hasNext

          public final boolean hasNext()

      Whether or not there are remaining values.

    - #### next

          public final long next()

      Return the next long in the buffer.

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.